module.exports = function(grunt){
grunt.initConfig({
  zhIdGenerator: {
    options: {
      jsonPath: ['../'],
      menuPath: ["../menu.json"],
      replaceIds: false
    }
  },
  buildEnvironment: {
    development: {
      configFile: "../config/environment.json"
    },
    production: {
      configFile: "../config/environmentDeploy.json"
    },
    test: {
      configFile: "../config/environmentTest.json"
    },
    srcFolders: ["../backend/config/"]
  }
});

  grunt.loadNpmTasks('grunt-zh-id-generator');
  grunt.loadNpmTasks('grunt-zh-environment-builder');

  grunt.registerTask('default', ['zhIdGenerator', 'buildEnvironment']);
};
